# IGESData_ParamReader.hxx File Reference

`#include <Handle_Interface_ParamList.hxx>`
`#include <Handle_Interface_Check.hxx>`
`#include <Standard_Integer.hxx>`
`#include <IGESData_ReadStage.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Interface_ParamType.hxx>`
`#include <Standard_CString.hxx>`
`#include <Handle_IGESData_IGESEntity.hxx>`
`#include <Handle_IGESData_IGESReaderData.hxx>`
`#include <Standard_Real.hxx>`
`#include <Handle_TCollection_HAsciiString.hxx>`
`#include <IGESData_Status.hxx>`
`#include <Handle_Standard_Type.hxx>`
`#include <Handle_TColStd_HArray1OfInteger.hxx>`
`#include <Handle_TColStd_HArray1OfReal.hxx>`
`#include <Handle_Interface_HArray1OfHAsciiString.hxx>`
`#include <Handle_IGESData_HArray1OfIGESEntity.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`